<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_CruiseElements StructType
 * @subpackage Structs
 */
class JP_CruiseElements extends AbstractStructBase
{
    /**
     * The CruiseElement
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_CruiseElement
     */
    public $CruiseElement;
    /**
     * Constructor method for JP_CruiseElements
     * @uses JP_CruiseElements::setCruiseElement()
     * @param \StructType\JP_CruiseElement $cruiseElement
     */
    public function __construct(\StructType\JP_CruiseElement $cruiseElement = null)
    {
        $this
            ->setCruiseElement($cruiseElement);
    }
    /**
     * Get CruiseElement value
     * @return \StructType\JP_CruiseElement|null
     */
    public function getCruiseElement()
    {
        return $this->CruiseElement;
    }
    /**
     * Set CruiseElement value
     * @param \StructType\JP_CruiseElement $cruiseElement
     * @return \StructType\JP_CruiseElements
     */
    public function setCruiseElement(\StructType\JP_CruiseElement $cruiseElement = null)
    {
        $this->CruiseElement = $cruiseElement;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_CruiseElements
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
